rte_bbdev_pmd.h(3)

NAME
rte_bbdev_pmd.h

SYNOPSIS

#include <stdint.h>
#include <rte_log.h>
#include 'rte_bbdev.h'

  Data Structures

struct rte_bbdev_ops

  Macros

#define RTE_BBDEV_DEFAULT_MAX_NB_QUEUES RTE_MAX_LCORE
#define RTE_BBDEV_QUEUE_SIZE_LIMIT 16384

  Typedefs

typedef int(* rte_bbdev_setup_queues_t) (struct rte_bbdev *dev, uint16_t num_queues, int socket_id)

  Functions

struct rte_bbdev * rte_bbdev_get_named_dev (const char *name)
void rte_bbdev_pmd_callback_process (struct rte_bbdev *dev, enum rte_bbdev_event_type event, void *ret_param)

Detailed Description

Wireless base band driver-facing APIs.

This API provides the mechanism for device drivers to register with the bbdev interface. User applications should not use this API.

Definition in file rte_bbdev_pmd.h.

Macro Definition Documentation

  #define RTE_BBDEV_DEFAULT_MAX_NB_QUEUES RTE_MAX_LCORE
Suggested value for SW based devices

Definition at line 27 of file rte_bbdev_pmd.h.

  #define RTE_BBDEV_QUEUE_SIZE_LIMIT 16384
Suggested value for SW based devices

Definition at line 30 of file rte_bbdev_pmd.h.

Typedef Documentation

  typedef int(* rte_bbdev_setup_queues_t) (struct rte_bbdev *dev, uint16_t num_queues, int socket_id)
Definitions of all functions exported by a driver through the generic structure of type rte_bbdev_ops supplied in the rte_bbdev structure associated with a device.

Definition at line 78 of file rte_bbdev_pmd.h.

Function Documentation

  struct rte_bbdev * rte_bbdev_get_named_dev (const char * name)
Get the device structure for a named device.

Parameters
    name Name of the device

Returns

    •   The device structure pointer, or

    •   NULL otherwise

  void rte_bbdev_pmd_callback_process (struct rte_bbdev * dev, enum rte_bbdev_event_type event, void * ret_param)
Executes all the user application registered callbacks for the specific device and event type.

Parameters
    dev Pointer to the device structure.
    event Event type.
    ret_param To pass data back to user application.

Author

Generated automatically by Doxygen for DPDK from the source code.